Bug 972624 - [abrt] zsh-5.0.2-1.fc18: setheredoc: Process /usr/bin/zsh was killed by signal 11 (SIGSEGV)
Summary: [abrt] zsh-5.0.2-1.fc18: setheredoc: Process /usr/bin/zsh was killed by signa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e3d22b6e5740f3a287ce78e9220...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 08:56 UTC by dan.keder
Modified: 2018-11-29 16:32 UTC (History)
4 users (show)

Fixed In Version: zsh-5.0.7-7.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 13:01:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.16 KB, text/plain)
2013-06-10 08:56 UTC, dan.keder
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-10 08:56 UTC, dan.keder
no flags Details
File: core_backtrace (793 bytes, text/plain)
2013-06-10 08:56 UTC, dan.keder
no flags Details
File: dso_list (1.50 KB, text/plain)
2013-06-10 08:56 UTC, dan.keder
no flags Details
File: environ (2.68 KB, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details
File: maps (7.34 KB, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details
File: open_fds (105 bytes, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details
File: var_log_messages (286 bytes, text/plain)
2013-06-10 08:57 UTC, dan.keder
no flags Details

Description dan.keder 2013-06-10 08:56:43 UTC
Description of problem:
1. Run ZSH shell

2. Type-in this command and press ENTER

perl -e <<EOF$blee = {}; $blee->{fuj} = undef; print $blee->{fuj}, "\n"; print exists $blee->{fuj}, "\n"; delete $blee->{fuj}; print exists $blee->{fuj}, "\n"'

3. The "quote>" prompt appears. Press "Ctrl-C" to interrupt.

4. Normal shell prompt appears. Press ENTER.

5. The "heredoc>" prompt appears. Press "Ctrl-C" to interrupt.

6. ZSH segfaults.


Version-Release number of selected component:
zsh-5.0.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /bin/zsh
crash_function: setheredoc
executable:     /usr/bin/zsh
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 setheredoc at parse.c:1946
 #1 zshlex at lex.c:421
 #2 parse_event at parse.c:451
 #3 loop at init.c:132
 #4 zsh_main at init.c:1617

Comment 1 dan.keder 2013-06-10 08:56:48 UTC
Created attachment 759113 [details]
File: backtrace

Comment 2 dan.keder 2013-06-10 08:56:51 UTC
Created attachment 759114 [details]
File: cgroup

Comment 3 dan.keder 2013-06-10 08:56:54 UTC
Created attachment 759115 [details]
File: core_backtrace

Comment 4 dan.keder 2013-06-10 08:56:57 UTC
Created attachment 759116 [details]
File: dso_list

Comment 5 dan.keder 2013-06-10 08:57:00 UTC
Created attachment 759117 [details]
File: environ

Comment 6 dan.keder 2013-06-10 08:57:03 UTC
Created attachment 759118 [details]
File: limits

Comment 7 dan.keder 2013-06-10 08:57:06 UTC
Created attachment 759119 [details]
File: maps

Comment 8 dan.keder 2013-06-10 08:57:10 UTC
Created attachment 759120 [details]
File: open_fds

Comment 9 dan.keder 2013-06-10 08:57:13 UTC
Created attachment 759121 [details]
File: proc_pid_status

Comment 10 dan.keder 2013-06-10 08:57:17 UTC
Created attachment 759122 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-12-21 13:56:23 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 dan.keder 2014-02-05 11:36:22 UTC
It occurs in Fedora 20 too.

Comment 13 Dominic Hopf 2014-07-03 00:33:11 UTC
The issue is still reproducible with Zsh 5.0.5. Setting FutureFeature keyword so the issue won't be closed automatically.

Comment 14 Kamil Dudka 2015-04-17 13:29:16 UTC
proposed upstream:

http://www.zsh.org/mla/workers/2015/msg00832.html

Comment 15 Kamil Dudka 2015-04-20 08:49:31 UTC
upstream commit:

http://sourceforge.net/p/zsh/code/ci/2e48eceb

Comment 16 Kamil Dudka 2015-04-20 14:00:57 UTC
fixed in zsh-5.0.7-7.fc23

Comment 17 Fedora Update System 2015-04-20 14:49:25 UTC
zsh-5.0.7-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/zsh-5.0.7-7.fc22

Comment 18 Fedora Update System 2015-04-20 14:49:30 UTC
zsh-5.0.7-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zsh-5.0.7-7.fc21

Comment 19 Fedora Update System 2015-04-20 14:49:37 UTC
zsh-5.0.7-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-5.0.7-7.fc20

Comment 20 lnie 2015-04-21 08:27:29 UTC
zsh-5.0.7-7.fc22 works

Comment 21 Kamil Dudka 2015-04-21 09:47:52 UTC
(In reply to lnie from comment #20)
> zsh-5.0.7-7.fc22 works

Thanks for confirmation!

Comment 22 Fedora Update System 2015-04-21 18:49:25 UTC
Package zsh-5.0.7-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zsh-5.0.7-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6466/zsh-5.0.7-7.fc20
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2015-04-28 13:01:51 UTC
zsh-5.0.7-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-04-30 11:41:32 UTC
zsh-5.0.7-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-04-30 11:47:59 UTC
zsh-5.0.7-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Kamil Dudka 2018-11-29 16:32:57 UTC
(In reply to Kamil Dudka from comment #15)
> upstream commit:
> 
> http://sourceforge.net/p/zsh/code/ci/2e48eceb

The above upstream commit had (for me) unexpected side effect:

http://www.zsh.org/mla/workers/2018/msg01655.html


Note You need to log in before you can comment on or make changes to this bug.